Bug 2761 - Mounts fail on upgrade of 5.2 to 6.0
Mounts fail on upgrade of 5.2 to 6.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-12 09:14 EDT by p.j.milligan
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-07 11:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p.j.milligan 1999-05-12 09:14:30 EDT
The installer couldn't mount my hard disk filesystems, so I
had to do them by hand.

The root filesystem is on hda1, and most of the other
filesystems are one sda1 (/usr, /usr/lib, /usr/src, /opt,
and /opt).

I have some additional partitions on my SCSI drive that are
not currently in use, but the installer tried to mount them,
and didn't like the fact they did not have any file system
yet.

I was running RedHat GNU/Linux 5.2 before with kernel-2.2.7
that I compiled and installed by hand, along with the
requisite RPM's for the 2.2.x kernel family. I can provide a
list of the before and after RPM list, the upgrade.log file,
and my fstab if you'd like.

I upgraded via a local CD-ROM drive (hdc), which I know from
previous upgrades that I have to mention as a boot param
(expert hdc=cdrom). The new system version is "Linux version
2.2.5-15 (root@porky.devel.redhat.com) (gcc version
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 Mon Apr
19 22:21:09 EDT 1999"


I've been hacking *nix for going on 15 years, and I do
sometimes working directly on admin files with command
prompts or by hand. This might be the source of the
problems. I did replace the fstab file with a copy without
my commented out entries, but it made no difference.)

I did finally get the upgrade done by mknod, fsck and
mounting all the partitions by hand and skipping the "Find
current installation" step.

I apologize for not providing full details. Validation is my
day job, and I need to get back to that rather than play
around with my O/S.
Comment 1 Jay Turner 1999-07-07 11:15:59 EDT
*** This bug has been marked as a duplicate of 2504 ***

Note You need to log in before you can comment on or make changes to this bug.